org.jgroups.demos

## Class DistributedQueueDemo

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - java.awt.Window
      - - java.awt.Frame
        - - org.jgroups.demos.DistributedQueueDemo

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.WindowListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible, DistributedQueue.Notification

    public class DistributedQueueDemo
    extends java.awt.Frame
    implements java.awt.event.WindowListener, java.awt.event.ActionListener, DistributedQueue.Notification

Uses the DistributedQueue building block. The latter subclasses org.jgroups.util.Queue and overrides the methods that modify the queue (e.g. add()). Those methods are multicast to the group, whereas read-only methods such as peek() use the local copy. A DistributedQueue is created given the name of a group; all queues with the same name find each other and form a group.

Author:
  Romuald du Song
See Also:
  Serialized Form

### Nested Class Summary

### Nested classes/interfaces inherited from class java.awt.Frame

`java.awt.Frame.AccessibleAWTFrame`

### Nested classes/interfaces inherited from class java.awt.Window

`java.awt.Window.AccessibleAWTWindow`

### Nested classes/interfaces inherited from class java.awt.Container

`java.awt.Container.AccessibleAWTContainer`

### Nested classes/interfaces inherited from class java.awt.Component

`java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

### Field Summary

### Fields inherited from class java.awt.Frame

`CROSSHAIR_CURSOR, DEFAULT_CURSOR, E_RESIZE_CURSOR, HAND_CURSOR, ICONIFIED, MAXIMIZED_BOTH, MAXIMIZED_HORIZ, MAXIMIZED_VERT, MOVE_CURSOR, N_RESIZE_CURSOR, NE_RESIZE_CURSOR, NORMAL, NW_RESIZE_CURSOR, S_RESIZE_CURSOR, SE_RESIZE_CURSOR, SW_RESIZE_CURSOR, TEXT_CURSOR, W_RESIZE_CURSOR, WAIT_CURSOR`

### Fields inherited from class java.awt.Component

`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

### Fields inherited from interface java.awt.image.ImageObserver

`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

### Constructor Summary

Constructors
Constructor and Description
`DistributedQueueDemo()`

### Method Summary

Methods
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`void` `contentsCleared()`
`void` `contentsSet(java.util.Collection new_entries)`
`void` `entryAdd(java.lang.Object value)`
`void` `entryRemoved(java.lang.Object key)`
`static void` `main(java.lang.String[] args)`
`void` `start(java.lang.String groupname, ChannelFactory factory, java.lang.String props)`
`void` `viewChange(java.util.Vector joined, java.util.Vector left)`
`void` `windowActivated(java.awt.event.WindowEvent e)`
`void` `windowClosed(java.awt.event.WindowEvent e)`
`void` `windowClosing(java.awt.event.WindowEvent e)`
`void` `windowDeactivated(java.awt.event.WindowEvent e)`
`void` `windowDeiconified(java.awt.event.WindowEvent e)`
`void` `windowIconified(java.awt.event.WindowEvent e)`
`void` `windowOpened(java.awt.event.WindowEvent e)`

### Methods inherited from class java.awt.Frame

`addNotify, getAccessibleContext, getCursorType, getExtendedState, getFrames, getIconImage, getMaximizedBounds, getMenuBar, getState, getTitle, isResizable, isUndecorated, paramString, remove, removeNotify, setCursor, setExtendedState, setIconImage, setMaximizedBounds, setMenuBar, setResizable, setState, setTitle, setUndecorated`

### Methods inherited from class java.awt.Window

`addPropertyChangeListener, addPropertyChangeListener, addWindowFocusListener, addWindowListener, addWindowStateListener, applyResourceBundle, applyResourceBundle, createBufferStrategy, createBufferStrategy, dispose, getBufferStrategy, getFocusableWindowState, getFocusCycleRootAncestor, getFocusOwner, getFocusTraversalKeys, getGraphicsConfiguration, getIconImages, getInputContext, getListeners, getLocale, getModalExclusionType, getMostRecentFocusOwner, getOwnedWindows, getOwner, getOwnerlessWindows, getToolkit, getWarningString, getWindowFocusListeners, getWindowListeners, getWindows, getWindowStateListeners, hide, isActive, isAlwaysOnTop, isAlwaysOnTopSupported, isFocusableWindow, isFocusCycleRoot, isFocused, isLocationByPlatform, isShowing, pack, postEvent, processEvent, processWindowEvent, processWindowFocusEvent, processWindowStateEvent, removeWindowFocusListener, removeWindowListener, removeWindowStateListener, reshape, setAlwaysOnTop, setBounds, setBounds, setCursor, setFocusableWindowState, setFocusCycleRoot, setIconImages, setLocationByPlatform, setLocationRelativeTo, setMinimumSize, setModalExclusionType, setSize, setSize, setVisible, show, toBack, toFront`

### Methods inherited from class java.awt.Container

`add, add, add, add, add, addContainerListener, addImpl, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalPolicy, getInsets, getLayout, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paint, paintComponents, preferredSize, print, printComponents, processContainerEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

### Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resize, resize, setBackground, setComponentOrientation, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setName, setPreferredSize, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.awt.MenuContainer

`getFont, postEvent`

### Constructor Detail

#### DistributedQueueDemo

    public DistributedQueueDemo()

### Method Detail

#### start

    public void start(java.lang.String groupname,
             ChannelFactory factory,
             java.lang.String props)
               throws ChannelException

Throws:
  `ChannelException`

#### windowActivated

    public void windowActivated(java.awt.event.WindowEvent e)

Specified by:
  `windowActivated` in interface `java.awt.event.WindowListener`

#### windowClosed

    public void windowClosed(java.awt.event.WindowEvent e)

Specified by:
  `windowClosed` in interface `java.awt.event.WindowListener`

#### windowClosing

    public void windowClosing(java.awt.event.WindowEvent e)

Specified by:
  `windowClosing` in interface `java.awt.event.WindowListener`

#### windowDeactivated

    public void windowDeactivated(java.awt.event.WindowEvent e)

Specified by:
  `windowDeactivated` in interface `java.awt.event.WindowListener`

#### windowDeiconified

    public void windowDeiconified(java.awt.event.WindowEvent e)

Specified by:
  `windowDeiconified` in interface `java.awt.event.WindowListener`

#### windowIconified

    public void windowIconified(java.awt.event.WindowEvent e)

Specified by:
  `windowIconified` in interface `java.awt.event.WindowListener`

#### windowOpened

    public void windowOpened(java.awt.event.WindowEvent e)

Specified by:
  `windowOpened` in interface `java.awt.event.WindowListener`

#### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

Specified by:
  `actionPerformed` in interface `java.awt.event.ActionListener`

#### entryAdd

    public void entryAdd(java.lang.Object value)

Specified by:
  `entryAdd` in interface `DistributedQueue.Notification`

#### entryRemoved

    public void entryRemoved(java.lang.Object key)

Specified by:
  `entryRemoved` in interface `DistributedQueue.Notification`

#### viewChange

    public void viewChange(java.util.Vector joined,
                  java.util.Vector left)

Specified by:
  `viewChange` in interface `DistributedQueue.Notification`

#### contentsSet

    public void contentsSet(java.util.Collection new_entries)

Specified by:
  `contentsSet` in interface `DistributedQueue.Notification`

#### contentsCleared

    public void contentsCleared()

Specified by:
  `contentsCleared` in interface `DistributedQueue.Notification`

#### main

    public static void main(java.lang.String[] args)